> ## Documentation Index
> Fetch the complete documentation index at: https://docs.iinkedsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Identity verification (IDV)

> Learn how to create a signing package with identity verification (IDV) enabled.

## Overview

Identity verification can be enabled when adding a package by setting the required identity verification `policyCode`
and enabling the `verify` option on each signer that requires their identity to be verified.

<Warning>
  Identity verification policies must be enabled on your account before they can be used in signing packages.

  [Request IDV to be enabled on your account](https://sign.syngrafii.ca/form/VAJZ2rNRpkeuoKJ2a_h4Uw)
</Warning>

## Policies

| Policy Code                              | Pass-To-Sign | Region | Retries |
| :--------------------------------------- | :----------: | :----: | :-----: |
| trulioo3\_document                       |     false    |   Any  |    2    |
| trulioo3\_document\_required             |     true     |   Any  |    2    |
| trulioo3\_document\_ca\_strict           |     false    |   CA   |    2    |
| trulioo3\_document\_ca\_strict\_required |     true     |   CA   |    2    |

<Tip>
  **Pass-To-Sign** indicates whether the signer must successfully complete identity verification before they can sign their documents.
</Tip>

## Add package with IDV

To create a signing package with identity verification enabled:

<Steps titleSize="h3">
  <Step title="Set policy">
    Set the `verificationOptions.policyCode` to the desired verification policy under package `options`.
  </Step>

  <Step title="Enable signer verification">
    Set the `verify` property to `true` for each signer that needs to complete identity verification.
  </Step>
</Steps>

```http Request highlight={9,17} theme={null}
POST /packages/add
{
  "name": "New Package with IDV",
  "type": "concurrent",
  "state": "open",
  "options": {
    "verificationOptions": {
      "policyId": null,
      "policyCode": "trulioo3_document"
    }
  },
  "signers": [
    {
      "firstName": "signer",
      "lastName": "one",
      "email": "signer.one@syngrafii.com",
      "verify": true
    }
  ],
  "documents": [
    {
      "fileName": "document.pdf",
      "fileId": "682f1158-e3f5-4329-8f88-c52cb5447d8c"
    }
  ]
}
```

See the [Packages add API](/v4/api/packages/add) for more information.

## Signer experience

When the signer opens the signing session, they will be prompted to complete the identity verification process before they can proceed to sign the documents. The verification process will follow the rules defined in the selected verification policy.

## Verification status

You can check the identity verification status of each signer by calling the `/packages/{packageId}/status` endpoint. The signer's verification `state` and `verificationId` will be included in the response.

```json Response highlight={8-9} theme={null}
{
    "packageId": "08aba360-4466-4463-8b4b-9585d3de4b33",
    ...
    "signers": [
        {
            "signerId": "dff8f8cc-fe2d-428e-9a8c-bcf1a2b187ce",
            "verification": {
                "verificationId": "6297e62f-d49d-4f2e-8369-e24ce4316e73",
                "state": "passed"
            }
        }
    ]
}
```

See the [Packages status API](/v4/api/packages/status) for more information.

## Verification results

You can retrieve detailed verification results for a signer by calling `/packages/{packageId}/signers/{signerId}/verification` endpoint.

```json Response theme={null}
{
    "verificationId": "6297e62f-d49d-4f2e-8369-e24ce4316e73",
    "packageId": "08aba360-4466-4463-8b4b-9585d3de4b33",
    "signerId": "dff8f8cc-fe2d-428e-9a8c-bcf1a2b187ce",
    "state": "passed",
    "results": [
        ...
    ]
}
```

<Tip>
  The verification results provide detailed information about the identity verification process, including any documents submitted and their verification outcomes.
</Tip>

See the [Verifications signer API](/v4/api/verifications/signer) for more information.
